ItemEvents.modification(event => {
    event.modify('tconstruct:cheese_block', item => { item.foodProperties = null })
    event.modify('tconstruct:cheese_ingot', item => { item.foodProperties = null })

    event.modify('minecraft:rotten_flesh', item => {
        item.foodProperties = food => {
            food.hunger(2).saturation(0.2)
        }
    })/*
    event.modify('minecraft:sugar', item => {
        item.foodProperties = food => {
            food.hunger(0).saturation(0.1).fastToEat().alwaysEdible().effect('speed', 200, 0, 0.6)
        }
    })
    event.modify('minecraft:red_mushroom', item => {
        item.foodProperties = food => {
            food.hunger(1).saturation(0.3).fastToEat().effect('poison', 400, 0, 0.8)
        }
    })
    event.modify('minecraft:brown_mushroom', item => {
        item.foodProperties = food => {
            food.hunger(1).saturation(0.5).fastToEat()
        }
    })*/
    event.modify('minecraft:glistering_melon_slice', item => {
        item.foodProperties = food => {
            food.hunger(3).saturation(0.65).alwaysEdible().effect('instant_health', 1, 0, 1)
        }
    })
    //Minecraft
    event.modify('minecraft:golden_carrot', item => {
        item.foodProperties = food => {
            food.hunger(4).saturation(0.75).effect('night_vision', 100, 0, 100).alwaysEdible()
        }
    })
    event.modify('minecraft:golden_apple', item => {
        item.foodProperties = food => {
            food.hunger(4).saturation(0.6).removeEffect('absorption').effect('absorption', 2400, 1, 1)
        }
    })
    event.modify('minecraft:suspicious_stew', item => {
        item.foodProperties = food => {
            food.hunger(4).saturation(0.4)
        }
    })
    event.modify('minecraft:cooked_beef', item => {
        item.foodProperties = food => {
            food.hunger(6).saturation(0.6)
        }
    })
    event.modify('minecraft:cooked_porkchop', item => {
        item.foodProperties = food => {
            food.hunger(6).saturation(0.6)
        }
    })
    event.modify('minecraft:cooked_chicken', item => {
        item.foodProperties = food => {
            food.hunger(5).saturation(0.5)
        }
    })
    event.modify('minecraft:rabbit', item => {
        item.foodProperties = food => {
            food.hunger(2)
        }
    })
    event.modify('minecraft:cooked_rabbit', item => {
        item.foodProperties = food => {
            food.hunger(5).saturation(0.4)
        }
    })
    event.modify('minecraft:cooked_mutton', item => {
        item.foodProperties = food => {
            food.hunger(4).saturation(0.5)
        }
    })
    event.modify('minecraft:cooked_cod', item => {
        item.foodProperties = food => {
            food.hunger(4).saturation(0.5)
        }
    })
    event.modify('minecraft:cooked_salmon', item => {
        item.foodProperties = food => {
            food.hunger(4).saturation(0.6)
        }
    })
    event.modify('minecraft:baked_potato', item => {
        item.foodProperties = food => {
            food.hunger(4).saturation(0.4)
        }
    })
    event.modify('minecraft:carrot', item => {
        item.foodProperties = food => {
            food.hunger(2)
        }
    })
    event.modify('minecraft:apple', item => {
        item.foodProperties = food => {
            food.hunger(3)
        }
    })
    event.modify('minecraft:bread', item => {
        item.foodProperties = food => {
            food.hunger(4).saturation(0.5)
        }
    })
    event.modify('minecraft:honey_bottle', item => {
        item.foodProperties = food => {
            food.hunger(2).saturation(0.4)
        }
    })
    event.modify('minecraft:melon_slice', item => {
        item.foodProperties = food => {
            food.fastToEat()
        }
    })
    /*event.modify('minecraft:sweet_berries', item => {
        item.foodProperties = food => {
            food.fastToEat()
        }
    })*/
    event.modify('minecraft:glow_berries', item => {
        item.foodProperties = food => {
            food.saturation(0.5)//.fastToEat()
        }
    })
    event.modify('minecraft:chorus_fruit', item => {
        item.foodProperties = food => {
            food.hunger(3)
        }
    })
    //Farmers Delight
    event.modify('farmersdelight:beef_patty', item => {
        item.foodProperties = food => {
            food.hunger(3).saturation(0.5)
        }
    })
    event.modify('farmersdelight:cooked_bacon', item => {
        item.foodProperties = food => {
            food.hunger(3).saturation(0.5)
        }
    })
    event.modify('farmersdelight:cooked_cod_slice', item => {
        item.foodProperties = food => {
            food.hunger(2).saturation(0.5)
        }
    })
    event.modify('farmersdelight:cooked_salmon_slice', item => {
        item.foodProperties = food => {
            food.hunger(2).saturation(0.6)
        }
    })
    event.modify('farmersdelight:cooked_chicken_cuts', item => {
        item.foodProperties = food => {
            food.hunger(2).saturation(0.6)
        }
    })
    event.modify('farmersdelight:cooked_mutton_chops', item => {
        item.foodProperties = food => {
            food.hunger(2).saturation(0.5)
        }
    })
    event.modify('farmersdelight:ham', item => {
        item.foodProperties = food => {
            food.hunger(4)
        }
    })
    event.modify('farmersdelight:smoked_ham', item => {
        item.foodProperties = food => {
            food.hunger(8)
        }
    })
    event.modify('farmersdelight:pumpkin_slice', item => {
        item.foodProperties = food => {
            food.hunger(2).saturation(0.7).fastToEat()
        }
    })
    event.modify('farmersdelight:cooked_rice', item => {
        item.foodProperties = food => {
            food.hunger(5)
        }
    })
    event.modify('farmersdelight:tomato_sauce', item => {
        item.foodProperties = food => {
            food.hunger(3)
        }
    })
    event.modify('farmersdelight:bone_broth', item => {
        item.foodProperties = food => {
            food.hunger(5)
        }
    })
    event.modify('farmersdelight:chicken_soup', item => {
        item.foodProperties = food => {
            food.hunger(10)//.removeEffect('farmersdelight:comfort').effect('farmersdelight:comfort', 4800, 0, 1)
        }
    })
    event.modify('farmersdelight:pumpkin_soup', item => {
        item.foodProperties = food => {
            food.hunger(8).saturation(0.8).removeEffect('farmersdelight:comfort').effect('farmersdelight:comfort', 4800, 0, 1)
        }
    })
    event.modify('farmersdelight:fish_stew', item => {
        item.foodProperties = food => {
            food.hunger(10).saturation(0.7)
        }
    })
    event.modify('farmersdelight:vegetable_soup', item => {
        item.foodProperties = food => {
            food.hunger(9).saturation(0.6)
        }
    })
    event.modify('farmersdelight:baked_cod_stew', item => {
        item.foodProperties = food => {
            food.hunger(11).saturation(0.7).removeEffect('farmersdelight:comfort').effect('farmersdelight:comfort', 4800, 0, 1)
        }
    })
    event.modify('farmersdelight:beef_stew', item => {
        item.foodProperties = food => {
            food.hunger(10).saturation(0.8)
        }
    })
    event.modify('farmersdelight:beef_stew', item => {
        item.foodProperties = food => {
            food.hunger(10).saturation(0.7)
        }
    })
    event.modify('farmersdelight:fried_rice', item => {
        item.foodProperties = food => {
            food.hunger(12)
        }
    })
    event.modify('farmersdelight:apple_cider', item => {
        item.foodProperties = food => {
            food.removeEffect('absorption').effect('absorption', 2400, 0, 100)
        }
    })
    event.modify('farmersdelight:squid_ink_pasta', item => {
        item.foodProperties = food => {
            food.saturation(0.7)//.removeEffect('farmersdelight:nourishment').effect('farmersdelight:nourishment', 3600, 0, 1)
        }
    })
    event.modify('farmersdelight:roasted_mutton_chops', item => {
        item.foodProperties = food => {
            food.removeEffect('farmersdelight:nourishment').effect('farmersdelight:nourishment', 4800, 0, 1)
        }
    })
    event.modify('farmersdelight:noodle_soup', item => {
        item.foodProperties = food => {
            food.hunger(12)
        }
    })
    event.modify('farmersdelight:vegetable_noodles', item => {
        item.foodProperties = food => {
            food.removeEffect('farmersdelight:nourishment').effect('farmersdelight:nourishment', 3600, 0, 100)
        }
    })
    event.modify('farmersdelight:fruit_salad', item => {
        item.foodProperties = food => {
            food.removeEffect('regeneration').effect('regeneration', 160, 0, 1)
        }
    })
    event.modify('farmersdelight:dumplings', item => {
        item.foodProperties = food => {
            food.hunger(5).saturation(0.7)
        }
    })
    event.modify('farmersdelight:stuffed_pumpkin', item => {
        item.foodProperties = food => {
            food.hunger(8)
        }
    })
    event.modify('farmersdelight:roast_chicken', item => {
        item.foodProperties = food => {
            food.hunger(9)
        }
    })
    event.modify('farmersdelight:honey_glazed_ham', item => {
        item.foodProperties = food => {
            food.hunger(10)
        }
    })
    event.modify('farmersdelight:shepherds_pie', item => {
        item.foodProperties = food => {
            food.hunger(11)
        }
    })
    event.modify('farmersdelight:steak_and_potatoes', item => {
        item.foodProperties = food => {
            food.removeEffect('farmersdelight:nourishment').effect('farmersdelight:nourishment', 4800, 0, 1)
        }
    })
    //create
    event.modify('create:honeyed_apple', item => {
        item.foodProperties = food => {
            food.hunger(6)
        }
    })
    //Miners Delight
    event.modify('miners_delight:silverfish_eggs', item => {
        item.foodProperties = food => {
            food.saturation(0.8).effect('poison', 80, 0, 0.5)
        }
    })
    event.modify('miners_delight:weird_caviar', item => {
        item.foodProperties = food => {
            food.hunger(4).effect('nausea', 200, 0, 1)
        }
    })
    event.modify('miners_delight:seasoned_arthropods', item => {
        item.foodProperties = food => {
            food.hunger(8).saturation(0.7).effect('nausea', 200, 0, 1).removeEffect('farmersdelight:nourishment').effect('farmersdelight:nourishment', 1200, 0, 1)
        }
    })
    event.modify('miners_delight:baked_squid', item => {
        item.foodProperties = food => {
            food.hunger(6).saturation(0.6)
        }
    })
    event.modify('miners_delight:squid_sandwich', item => {
        item.foodProperties = food => {
            food.hunger(12).saturation(0.7)
        }
    })
    event.modify('miners_delight:cave_soup', item => {
        item.foodProperties = food => {
            food.hunger(7)
        }
    })
    event.modify('miners_delight:beetroot_soup_cup', item => {
        item.foodProperties = food => {
            food.hunger(4)
        }
    })
    event.modify('miners_delight:mushroom_stew_cup', item => {
        item.foodProperties = food => {
            food.hunger(4)
        }
    })
    event.modify('miners_delight:rabbit_stew_cup', item => {
        item.foodProperties = food => {
            food.hunger(8)
        }
    })
    event.modify('miners_delight:baked_cod_stew_cup', item => {
        item.foodProperties = food => {
            food.hunger(9).removeEffect('farmersdelight:comfort').effect('farmersdelight:comfort', 2400, 0, 1)
        }
    })
    event.modify('miners_delight:noodle_soup_cup', item => {
        item.foodProperties = food => {
            food.hunger(10)
        }
    })
    event.modify('miners_delight:beef_stew_cup', item => {
        item.foodProperties = food => {
            food.hunger(8)
        }
    })
    event.modify('miners_delight:cave_soup_cup', item => {
        item.foodProperties = food => {
            food.hunger(5)
        }
    })
    event.modify('miners_delight:chicken_soup_cup', item => {
        item.foodProperties = food => {
            food.hunger(8)
        }
    })
    event.modify('miners_delight:fish_stew_cup', item => {
        item.foodProperties = food => {
            food.hunger(8)
        }
    })
    event.modify('miners_delight:pumpkin_soup_cup', item => {
        item.foodProperties = food => {
            food.hunger(6).removeEffect('farmersdelight:comfort').effect('farmersdelight:comfort', 2400, 0, 1)
        }
    })
    event.modify('miners_delight:vegetable_soup_cup', item => {
        item.foodProperties = food => {
            food.hunger(7)
        }
    })
    //Neapolitan
    event.modify('neapolitan:white_strawberries', item => {
        item.foodProperties = food => {
            food.hunger(2)
        }
    })
    //BrewinAndChewin
    event.modify('brewinandchewin:kimchi', item => {
        item.foodProperties = food => {
            food.effect('farmersdelight:comfort', 400, 0, 1)
        }
    })
    event.modify('brewinandchewin:jerky', item => {
        item.foodProperties = food => {
            food.effect('farmersdelight:comfort', 200, 0, 1)
        }
    })
    event.modify('brewinandchewin:pickled_pickles', item => {
        item.foodProperties = food => {
            food.effect('farmersdelight:comfort', 800, 0, 1)
        }
    })
    event.modify('brewinandchewin:kippers', item => {
        item.foodProperties = food => {
            food.effect('farmersdelight:comfort', 600, 0, 1)
        }
    })

    //funny

    event.modify('mekanism:pellet_antimatter', item => {
        item.foodProperties = food => {
            food.effect('wither', 60000, 9, 1).effect('stamina:vigour', 60000, 9, 1)
        }
    })

    //Vigor
    
    event.modify('farmersdelight:bacon_and_eggs', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 1200, 1, 1)
        }
    })
    event.modify('farmersdelight:pasta_with_meatballs', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 2400, 2, 1)
        }
    })
    event.modify('farmersdelight:pasta_with_mutton_chop', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 1800, 2, 1)
        }
    })
    event.modify('farmersdelight:mushroom_rice', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 1800, 1, 1)
        }
    })
    event.modify('farmersdelight:roasted_mutton_chops', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 3600, 1, 1).effect('stamina:vigour', 1200, 3, 1)
        }
    })
    event.modify('farmersdelight:vegetable_noodles', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 1200, 1, 1)
        }
    })
    event.modify('farmersdelight:steak_and_potatoes', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 3600, 2, 1).effect('stamina:vigour', 1200, 4, 1)
        }
    })
    event.modify('farmersdelight:ratatouille', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 600, 1, 1)
        }
    })
    event.modify('farmersdelight:squid_ink_pasta', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 5400, 2, 1)
        }
    })
    event.modify('farmersdelight:grilled_salmon', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 2400, 2, 1)
        }
    })
    event.modify('farmersdelight:roast_chicken', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 4800, 2, 1).effect('stamina:vigour', 2400, 4, 1)
        }
    })
    event.modify('farmersdelight:stuffed_pumpkin', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 3600, 2, 1).effect('stamina:vigour', 1200, 3, 1)
        }
    })
    event.modify('farmersdelight:honey_glazed_ham', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 4800, 2, 1).effect('stamina:vigour', 1800, 3, 1)
        }
    })
    event.modify('farmersdelight:shepherds_pie', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 4800, 2, 1).effect('stamina:vigour', 2400, 4, 1)
        }
    })
    event.modify('miners_delight:pasta_with_veggieballs', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 1200, 2, 1)
        }
    })
    event.modify('miners_delight:vegan_steak_and_potatoes', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 1800, 2, 1)
        }
    })
    event.modify('miners_delight:seasoned_arthropods', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 600, 0, 1)
        }
    })
    event.modify('miners_delight:bowl_of_stuffed_squid', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 5400, 3, 1).effect('stamina:vigour', 1200, 5, 1)
        }
    })
    event.modify('miners_delight:glow_ink_pasta', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 5400, 2, 1).effect('stamina:vigour', 1200, 4, 1)
        }
    })
    event.modify('brewinandchewin:vegetable_omelet', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 2400, 1, 1).effect('stamina:vigour', 1200, 2, 1)
        }
    })
    event.modify('brewinandchewin:cheesy_pasta', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 4800, 2, 1)
        }
    })
    event.modify('brewinandchewin:horror_lasagna', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 5400, 2, 1)
        }
    })
    event.modify('brewinandchewin:scarlet_pierogi', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 5400, 2, 1)
        }
    })
    event.modify('farmersdelight:hamburger', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 4800, 1, 1).effect('stamina:vigour', 2400, 2, 1)
        }
    })
    event.modify('farmersdelight:chicken_sandwich', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 2400, 1, 1)
        }
    })
    event.modify('farmersdelight:bacon_sandwich', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 2400, 1, 1)
        }
    })
    event.modify('farmersdelight:mutton_wrap', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 2400, 1, 1)
        }
    })
    event.modify('farmersdelight:dumplings', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 600, 0, 1)
        }
    })
    event.modify('farmersdelight:stuffed_potato', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 1200, 1, 1)
        }
    })
    event.modify('miners_delight:vegan_hamburger', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 2400, 1, 1)
        }
    })
    event.modify('miners_delight:vegan_wrap', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 1200, 1, 1)
        }
    })
    event.modify('miners_delight:baked_squid', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 600, 1, 1)
        }
    })
    event.modify('miners_delight:squid_sandwich', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 2400, 1, 1)
        }
    })
    event.modify('miners_delight:takoyaki', item => {
        item.foodProperties = food => {
            food.effect('stamina:vigour', 1800, 1, 1)
        }
    })

})